#! /usr/local/bin/tclsh8.0
#
# Example of use of nntp.tcl

source nntp.tcl

# Replace "news" with the name of your news server.

set NewsServer "news"

# Open the news connection.

set nntpHandle [nntp::openConnection $NewsServer]

# Set the newsgroup.

nntp::setGroup $nntpHandle "comp.lang.tcl"

# Get the first message.

set header [nntp::getHeader $nntpHandle]
set body [nntp::getBody $nntpHandle]

puts "$header\n\n$body"

# Close the connection.

nntp::closeConnection $nntpHandle

